You are not logged in.

#1 2006-05-24 19:29:03

tlaloc
Member
From: Lower Saxony
Registered: 2006-05-12
Posts: 351

[solved] acpi - cannot load module

Hi,

I know that I'am not the only one with this problem, but I haven't found a clear solution yet. After doing a clean install with Gimmick, I tried to scale cpu-frequency. Thought I would follow the instructions in the French wiki page: http://wiki.archlinuxfr.org/doku.php?id=acpi_powernowd
I have installed acpi and powernow, of course. I have an AMB Sempron 2800+ processor, which supports powernow-k8. However, when I try "modprobe acpi", I receive this message:
FATAL: Error inserting acpi_cpufreq (/lib/modules/2.6.16-ARCH/kernel/arch/i386/kernel/cpu/cpufreq/acpi-cpufreq.ko): No such device
But the file manager tells me that this module might be found under exactly this path ...

Searching around I have found that someone apparently solved this problem by recompiling the kernel without SMP support. I am afraid that this is somewhat beyond my reach (i don't even a have clue what SMP is). Please let know if there is an easier way to get things done.

Best wishes, t.

Offline

#2 2006-05-25 00:21:36

iphitus
Forum Fellow
From: Melbourne, Australia
Registered: 2004-10-09
Posts: 4,927

Re: [solved] acpi - cannot load module

there is no 'acpi' module. Try 'modprobe powernow-k8' instead.

James

Offline

#3 2006-05-25 11:55:47

tlaloc
Member
From: Lower Saxony
Registered: 2006-05-12
Posts: 351

Re: [solved] acpi - cannot load module

Ooops - yes, I see ... Admittedly, my French isn't the best  big_smile
It is running fine now with powernow-k8, cpufreq_userspace and powernowd.
Thanks for the hint, t.

Offline

Board footer

Powered by FluxBB